<?php

namespace EasyContent\WordPress\Implementation\Entity;

use EasyContent\WordPress\Source\Entity\PostTaxonomiesStorage;

final class DbPostTaxonomiesStorage implements PostTaxonomiesStorage
{
    public function validateCategories($ids)
    {
        return $this->fetch('category', $ids);
    }

    public function validateTags($ids)
    {
        return $this->fetch('post_tag', $ids);
    }

    /**
     * @param string $taxonomy
     * @param array|int[] $ids
     * @return array|int[]
     */
    private function fetch($taxonomy, $ids)
    {
        return get_terms([
            'taxonomy' => $taxonomy,
            'hide_empty' => false,
            'include' => $ids,
            'fields' => 'ids',
        ]);
    }
}
