<?php

namespace EasyContent\WordPress\Implementation\Form\Defaults;

use EasyContent\WordPress\Implementation\Form\PublishingOptionsForm;
use EasyContent\WordPress\Plugin;

final class PublishingOptionsFormDefaults implements DefaultsProvider
{
    public function get($fieldName)
    {
        $settings = Plugin::getInstance()->getSettings();

        switch ($fieldName) {
            case PublishingOptionsForm::FIELD_POST_AUTHOR_ID:
                return $settings->getPostAuthorId();
            case PublishingOptionsForm::FIELD_POST_TYPE:
                return $settings->postType;
            case PublishingOptionsForm::FIELD_POST_STATUS:
                return $settings->postStatus;
            case PublishingOptionsForm::FIELD_COMMENTS_STATUS:
                return $settings->commentsStatus;
            case PublishingOptionsForm::FIELD_CATEGORY_MAPPINGS:
                return $settings->mappings;
            case PublishingOptionsForm::FIELD_DEFAULT_CATEGORY_ID:
                return $settings->defaultCategoryId;
        }

        return null;
    }
}
