<?php

namespace EasyContent\WordPress\Implementation\Form;

final class ImageProcessingForm extends BaseForm
{
    const NAME = 'ECImageProcessingForm';

    const FIELD_ENABLE_RESIZING = 'enable_resizing';
    const FIELD_MAX_WIDTH = 'max_width';
    const FIELD_MAX_HEIGHT = 'max_height';
    const FIELD_JPG_COMPRESSION_LEVEL = 'jpg_compression_level';

    protected $fieldsConfig = [
        self::FIELD_ENABLE_RESIZING => [
            'filters' => 'boolval',
        ],
        self::FIELD_MAX_WIDTH => [
            'filters' => 'absint',
        ],
        self::FIELD_MAX_HEIGHT => [
            'filters' => 'absint',
        ],
        self::FIELD_JPG_COMPRESSION_LEVEL => [
            'filters' => 'absint',
        ],
    ];

    public function getName()
    {
        return self::NAME;
    }

    public function enableResizing()
    {
        return $this->getFieldValue(self::FIELD_ENABLE_RESIZING);
    }

    public function getMaxWidth()
    {
        return $this->getFieldValue(self::FIELD_MAX_WIDTH);
    }

    public function getMaxHeight()
    {
        return $this->getFieldValue(self::FIELD_MAX_HEIGHT);
    }

    public function getJpgCompressionLevel()
    {
        return $this->getFieldValue(self::FIELD_JPG_COMPRESSION_LEVEL);
    }
}
