<?php

namespace EasyContent\WordPress\Implementation\Form;

final class SearchArticlesForm extends BaseForm
{
    const NAME = 'ECSearchArticlesForm';

    const FIELD_NAME = 'name';
    const FIELD_WORKFLOW_STATUS_ID = 'status';
    const FIELD_SYNCHRONIZATION_STATUS = 'sync_status';

    protected $fieldsConfig = [
        self::FIELD_NAME => [
            'filters' => 'strval',
        ],
        self::FIELD_WORKFLOW_STATUS_ID => [
            'filters' => 'intval',
        ],
        self::FIELD_SYNCHRONIZATION_STATUS => [
            'filters' => 'strval',
        ],
    ];

    public function getName()
    {
        return self::NAME;
    }

    /**
     * @return string
     */
    public function getArticleName()
    {
        return $this->getFieldValue(self::FIELD_NAME);
    }

    /**
     * @return int
     */
    public function getStatusId()
    {
        return $this->getFieldValue(self::FIELD_WORKFLOW_STATUS_ID);
    }

    /**
     * @return string
     */
    public function getSynchronizationStatus()
    {
        return $this->getFieldValue(self::FIELD_SYNCHRONIZATION_STATUS);
    }
}
