<?php

namespace EasyContent\WordPress\Implementation\Formatters;

use EasyContent\WordPress\Source\Api\Entity\Category;

final class CategoriesListFormatter
{
    private $categories;

    /**
     * @param array|Category[] $categories
     */
    public function __construct(array $categories)
    {
        $this->categories = $categories;
    }

    /**
     * @return array
     */
    public function asArray()
    {
        return array_map(function(Category $category) {
            return [
                'id' => $category->getId(),
                'parent_category_id' => $category->getParentCategoryId(),
                'name' => $category->getName(),
            ];
        }, $this->categories);
    }
}
