<?php

namespace EasyContent\WordPress;

class MediaList
{
    /** @var array|\WP_Post[] $mediaFiles */
    protected $mediaFiles;

    /** @var array|int[] $sourceUrls */
    protected $sourceUrls;


    public function getMediaFiles()
    {
        if ( null === $this->mediaFiles ) {
            $mediaQuery = new \WP_Query( [
                'post_type' => 'attachment',
                'post_status' => 'inherit', // or 'any'
                'nopaging' => true,
                'posts_per_page' => -1
            ] );

            if ( $mediaQuery->have_posts() ) {
                $posts = $mediaQuery->get_posts();
                $ids = array_column( $posts, 'ID' );

                $this->mediaFiles = array_combine( $ids, $posts );
            } else {
                $this->mediaFiles = [];
            }
        }

        return $this->mediaFiles;
    }


    public function getSourceUrls()
    {
        if ( null !== $this->sourceUrls ) {
            return $this->sourceUrls;
        }

        global $wpdb;

        $query = "SELECT `post_id`, `meta_value`
            FROM `{$wpdb->postmeta}`
            WHERE `meta_key` = 'ec-source-url';";

        $rows = $wpdb->get_results( $query, ARRAY_A );

        if ( null === $rows ) {
            return $this->sourceUrls = [];
        }

        $ids  = array_column( $rows, 'post_id' );
        $urls = array_column( $rows, 'meta_value' );

        return $this->sourceUrls = array_combine( $urls, $ids );
    }
}
