<?php

namespace EasyContent\WordPress\Source\Api\Entity;

use InvalidArgumentException;

abstract class Entity
{
    /**
     * @param string $key
     * @param array $a
     * @return void
     */
    final protected function ensureArrayKeyExists($key, array $a)
    {
        if (!array_key_exists($key, $a)) {
            throw new InvalidArgumentException("'{$key}' key doesn't exist in given array");
        }
    }

    final protected function ensureInteger($value)
    {
        if (!is_integer($value)) {
            throw new InvalidArgumentException('Non-integer value detected');
        }
    }

    final protected function ensureString($value)
    {
        if (!is_string($value)) {
            throw new InvalidArgumentException('Value is not a string');
        }
    }

    final protected function ensureArray($value)
    {
        if (!is_array($value)) {
            throw new InvalidArgumentException('Value is not an array');
        }
    }
}
