<?php

namespace EasyContent\WordPress\Source\Api\Entity\Responses;

use EasyContent\WordPress\Source\Api\Entity\Entity;
use EasyContent\WordPress\Source\Api\Entity\ImportedArticle;

final class ImportResponse extends Entity
{
    /** @var array|ImportedArticle[] $articles */
    private $articles = [];

    private function __construct() { }

    /**
     * @param array $data
     * @return self
     */
    public static function fromState(array $data)
    {
        return (new self)
            ->setArticles($data);
    }

    /**
     * @return array|ImportedArticle[]
     */
    public function getArticles()
    {
        return $this->articles;
    }

    /**
     * @param array $data
     * @return ImportResponse
     */
    private function setArticles(array $data)
    {
        $this->ensureArray($data);

        foreach ($data as $row) {
            $this->articles[] = ImportedArticle::fromState($row);
        }

        return $this;
    }
}
