<?php

namespace EasyContent\WordPress\Source\Entity;

final class Miscellaneous
{
    /** @var string $accountName */
    private $accountName;
    /** @var string $projectName */
    private $projectName;
    /** @var string $editUrlBase */
    private $editUrlBase;

    private function __construct() { }

    /**
     * @param string $accountName
     * @param string $projectName
     * @param string $editUrlBase
     * @return self
     */
    public static function load($accountName, $projectName, $editUrlBase)
    {
        return (new self)
            ->setAccountName($accountName)
            ->setProjectName($projectName)
            ->setEditUrlBase($editUrlBase);
    }

    /**
     * @return string
     */
    public function getAccountName()
    {
        return $this->accountName;
    }

    /**
     * @param string $accountName
     * @return Miscellaneous
     */
    public function setAccountName($accountName)
    {
        $this->accountName = $accountName;
        return $this;
    }

    /**
     * @return string
     */
    public function getProjectName()
    {
        return $this->projectName;
    }

    /**
     * @param string $projectName
     * @return Miscellaneous
     */
    public function setProjectName($projectName)
    {
        $this->projectName = $projectName;
        return $this;
    }

    /**
     * @return string
     */
    public function getEditUrlBase()
    {
        return $this->editUrlBase;
    }

    /**
     * @param string $editUrlBase
     * @return Miscellaneous
     */
    public function setEditUrlBase($editUrlBase)
    {
        $this->editUrlBase = $editUrlBase;
        return $this;
    }
}
