<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Entity\Post\CommentsStatus;
use EasyContent\WordPress\Source\Entity\Post\PostStatus;
use EasyContent\WordPress\Source\Entity\Post\PostType;

final class PluginSettings
{
    /** @var int $postAuthorId */
    private $postAuthorId;
    /** @var CommentsStatus $commentsStatus */
    private $commentsStatus;
    /** @var array $mappings */
    private $mappings;
    /** @var int $defaultCategoryId */
    private $defaultCategoryId;
    /** @var PostStatus $postStatus */
    private $postStatus;
    /** @var PostType $postType */
    private $postType;

    /**
     * @param int $postAuthorId
     * @param CommentsStatus $commentsStatus
     * @param array $mappings
     * @param int $defaultCategoryId
     * @param PostStatus $postStatus
     * @param PostType $postType
     */
    public function __construct(
        $postAuthorId,
        CommentsStatus $commentsStatus,
        array $mappings,
        $defaultCategoryId,
        PostStatus $postStatus,
        PostType $postType
    ) {
        $this->postAuthorId = $postAuthorId;
        $this->commentsStatus = $commentsStatus;
        $this->mappings = $mappings;
        $this->defaultCategoryId = $defaultCategoryId;
        $this->postStatus = $postStatus;
        $this->postType = $postType;
    }

    /**
     * @return int
     */
    public function getPostAuthorId()
    {
        return $this->postAuthorId;
    }

    /**
     * @return CommentsStatus
     */
    public function getCommentsStatus()
    {
        return $this->commentsStatus;
    }

    /**
     * @return array
     */
    public function getMappings()
    {
        return $this->mappings;
    }

    /**
     * @return int
     */
    public function getDefaultCategoryId()
    {
        return $this->defaultCategoryId;
    }

    /**
     * @return PostStatus
     */
    public function getPostStatus()
    {
        return $this->postStatus;
    }

    /**
     * @return PostType
     */
    public function getPostType()
    {
        return $this->postType;
    }
}
