<?php

namespace EasyContent\WordPress\Source\Entity;

abstract class PositiveInteger
{
    /** @var int $value */
    private $value;

    /**
     * @param int $value
     */
    final public function __construct($value)
    {
        if (!is_int($value)) {
            throw new \DomainException('Value must be a type of integer');
        }

        if ($value <= 0) {
            throw new \DomainException('Value must be positive integer, ' . $value . ' given');
        }

        $this->value = $value;
    }

    /**
     * @return int
     */
    final public function asInt()
    {
        return $this->value;
    }
}
