<?php

namespace EasyContent\WordPress\Source\Entity\Post;

use DomainException;

final class CommentsStatus
{
    const OPEN = 'open';
    const CLOSED = 'closed';

    /** @var string $value */
    private $value;

    private function __construct($value)
    {
        $this->value = $value;
    }

    /**
     * @return string
     */
    public function asString()
    {
        return $this->value;
    }

    /**
     * @return CommentsStatus
     */
    public static function open()
    {
        return new self(self::OPEN);
    }

    /**
     * @return CommentsStatus
     */
    public static function closed()
    {
        return new self(self::CLOSED);
    }

    public static function fromString($value)
    {
        if ($value !== self::OPEN && $value !== self::CLOSED) {
            throw new DomainException("{$value} status is invalid status");
        }

        return new self($value);
    }
}
