<?php

namespace EasyContent\WordPress\Source\Entity;

use EasyContent\WordPress\Source\Api\Entity\WorkflowStatus;
use EasyContent\WordPress\Source\Exception\WorkflowStatusNotFoundException;

interface WorkflowStatusStorage extends LocalCache
{
    /**
     * @param int $id
     * @return bool
     */
    public function existsById($id);

    /**
     * @return WorkflowStatus
     */
    public function getDraft();

    /**
     * @param int $id
     * @return WorkflowStatus
     * @throws WorkflowStatusNotFoundException
     */
    public function getById($id);

    /**
     * @return array|WorkflowStatus[]
     */
    public function findInUse();
}
