<?php

namespace EasyContent\WordPress\Source\UseCase\PublishArticle;

use EasyContent\WordPress\Source\Entity\Article\ArticleId;
use EasyContent\WordPress\Source\Entity\Article\Extra;

final class Command
{
    /** @var ArticleId $remoteArticleId */
    private $remoteArticleId;
    /** @var null|Extra $extra */
    private $extra;

    /**
     * @param ArticleId $remoteArticleId
     * @param Extra|null $extra
     */
    public function __construct(ArticleId $remoteArticleId, Extra $extra)
    {
        $this->remoteArticleId = $remoteArticleId;
        $this->extra = $extra;
    }

    /**
     * @return ArticleId
     */
    public function getRemoteArticleId()
    {
        return $this->remoteArticleId;
    }

    /**
     * @return Extra|null
     */
    public function getExtra()
    {
        return $this->extra;
    }
}
