<?php

namespace EasyContent\WordPress\Controllers\Actions;

use EasyContent\WordPress\View;

abstract class BaseAction
{
    /**
     * @return string
     */
    abstract public function run();

    /**
     * @param $view
     * @param array $data
     * @return string
     */
    protected function render($view, array $data = [])
    {
        try {
            return (new View)->render( $view, $data );
        } catch ( \Exception $e ) {
            return $e->getMessage();
        }
    }
}
