<?php

namespace EasyContent\WordPress\Domain\Seo;

final class SeoPack extends SeoPlugin
{
    const META_TITLE_KEY = '_aioseo_title';
    const META_TITLE_KEY_OLD = '_aioseop_title';
    const META_DESCRIPTION_KEY = '_aioseo_description';
    const META_DESCRIPTION_KEY_OLD = '_aioseop_description';

    public function saveMetaTitle($postId, $title)
    {
        update_post_meta( $postId, self::META_TITLE_KEY, $title);
        update_post_meta( $postId, self::META_TITLE_KEY_OLD, $title);

        if ($seoPackPost = $this->getPostRepository()->findByPostId($postId)) {
            $seoPackPost->setTitle($title);
            $this->getPostRepository()->update($seoPackPost);
        }
    }

    public function saveMetaDescription($postId, $description)
    {
        update_post_meta( $postId, self::META_DESCRIPTION_KEY, $description);
        update_post_meta( $postId, self::META_DESCRIPTION_KEY_OLD, $description);

        if ($seoPackPost = $this->getPostRepository()->findByPostId($postId)) {
            $seoPackPost->setDescription($description);
            $this->getPostRepository()->update($seoPackPost);
        }
    }

    public function getMetaTitle($postId)
    {
        return get_post_meta( $postId, self::META_TITLE_KEY, true );
    }

    public function getMetaDescription($postId)
    {
        return get_post_meta( $postId, self::META_DESCRIPTION_KEY, true );
    }
}
