<?php

namespace EasyContent\WordPress\Rest\Actions;

use EasyContent\WordPress\Helpers\ArrayHelper;

class GetCategories extends BaseAction
{
    public function run(\WP_REST_Request $request)
    {
        // URL: POST http://easycontent.wp/wp-json/easycontent/v1/categories

        $catsNew = [];
        $categories = get_categories(['hide_empty' => false]);
        $categories = ArrayHelper::uSort($categories, 'parent');

        foreach ($categories as $cat) {
            if (isset($cat->parent) && (int)$cat->parent == 0) {
                $catsNew[] = $cat;
                $catsNew = array_merge($catsNew, $this->getChild($categories, $cat->term_id, '— '));
            }
        }

        return $catsNew;
    }

    public function getChild($categories, $idParent, $sep)
    {
        $catsNew = [];
        foreach ($categories as $cat) {
            if (isset($cat->parent) && (int)$cat->parent == $idParent) {
                $cat->name = $sep . $cat->name;
                $catsNew[] = $cat;
                $catsNew = array_merge($catsNew, $this->getChild($categories, $cat->term_id, '—'. $sep));
            }
        }

        return $catsNew;
    }
}
