<?php
/**
 * @var EasyContent\WordPress\View $this
 * @var array|EasyContent\WordPress\Source\Api\Entity\WorkflowStatus[] $statusesInUse
 * @var EasyContent\WordPress\Implementation\Form\SearchArticlesForm $searchForm
 */
?>
<form method="get" class="ec-import-filter">
    <input type="hidden" name="page" value="easycontent-import">

    <div class="alignleft actions">
        <label for="ec-topic-name" class="screen-reader-text"><?= esc_html__( 'Search by name', EASYCONTENT_TXTDOMAIN ) ?></label>

        <input
            id="ec-topic-name"
            placeholder="<?= esc_attr__( 'Search by name', EASYCONTENT_TXTDOMAIN ) ?>"
            type="search"
            name="<?= esc_attr(sprintf('%s[%s]', $searchForm::NAME, $searchForm::FIELD_NAME)) ?>"
            value="<?= esc_attr($searchForm->getArticleName()) ?>">

        <?php if ($statusesInUse) : ?>
            <label for="ec-workflow-stage" class="screen-reader-text"><?= esc_html__( 'Status', EASYCONTENT_TXTDOMAIN ) ?></label>
            <select name="<?= esc_attr(sprintf('%s[%s]', $searchForm::NAME, $searchForm::FIELD_WORKFLOW_STATUS_ID)) ?>" id="ec-workflow-stage">
                <option value="" <?php selected($searchForm->getStatusId(), 0) ?>>
                    <?= esc_html__( 'All statuses', EASYCONTENT_TXTDOMAIN ) ?>
                </option>

                <?php foreach ($statusesInUse as $status) : ?>
                    <option value="<?= esc_attr($status->getId()) ?>" <?php selected($searchForm->getStatusId(), $status->getId()) ?>>
                        <?= esc_html($status->getName()) ?>
                    </option>
                <?php endforeach ?>
            </select>
        <?php endif ?>

        <label for="ec-synchronization-status" class="screen-reader-text"><?= esc_html__( 'Synchronization status', EASYCONTENT_TXTDOMAIN ) ?></label>
        <select name="<?= esc_attr(sprintf('%s[%s]', $searchForm::NAME, $searchForm::FIELD_SYNCHRONIZATION_STATUS)) ?>" id="ec-synchronization-status">
            <option value="" <?php selected($searchForm->getSynchronizationStatus(), '') ?>>
                <?= esc_html__( 'All items', EASYCONTENT_TXTDOMAIN ) ?>
            </option>
            <option value="synced" <?php selected($searchForm->getSynchronizationStatus(), 'synced') ?>>
                <?= esc_html__( 'Synced', EASYCONTENT_TXTDOMAIN ) ?>
            </option>
            <option value="not_synced" <?php selected($searchForm->getSynchronizationStatus(), 'not_synced') ?>>
                <?= esc_html__( 'Not synced', EASYCONTENT_TXTDOMAIN ) ?>
            </option>
        </select>

        <input type="submit" name="filter_action" id="" class="button" value="<?= esc_attr__( 'Filter', EASYCONTENT_TXTDOMAIN ) ?>">
    </div>
</form>
